Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 29

Thread: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

  1. #11
    Join Date
    Mar 2011
    Beans
    1,994

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    I have 29 packages with nvidia and 535 in the dpkg -l output (half 32 bit versions). Still, I'm not sure you got everything you need just installing the two packages you mention. Try ubuntu-drivers install or the Software & Updates/Additional Drivers tab and select the driver you want.

  2. #12
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    Quote Originally Posted by rocky714 View Post
    This may be alarmist but I don't think it because I remember this as an error that came up prior to a cascade of problems that followed. This was the simple set of steps followed: a fresh install of Ubuntu 22.04 LTS with an update as prompted since "there have been updates since this install". The only other step taken was customizing FIrefox. Then, I installed nvidia driver 535 with the command

    sudo apt install nvidia-driver-535 nvidia-dkms-535

    The driver seemed to install (i.e., it went through the motions) but did not come up ("About" still shows "llvmpipe (LLVM 15.0.7 256 bits)" install of the Nvidia driver. Issuing the "sudo apt-get upgrade" command yields the below message. A couple of packages are held back. Numerous errors follow when I've seen that before. Autoremove doesn't do anything either, but problems will follow, I assure you. Any recommendations? Again, thanks in advance for the help.

    -Rocky714

    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    Calculating upgrade... Done
    The following packages have been kept back:
    gjs libgjs0g
    0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
    There has been some reported problems with those two packages. That is why they are being held back. (Until they sort that out.)

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

  3. #13
    Join Date
    Jan 2024
    Beans
    14

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    I tried:

    sudo ubuntu-drivers install nvidia:535

    and the response is "All the available drivers are already installed". If that's the case, and the 535 drivers need to be installed before I can install CUDA 12.1, I guess that means I'm stuck. Is there any other conclusion to reach. I mean, I think I see others with that setup and somehow got it to work or maybe it's an illusion. How could it have passed testing have on Nvidia's part?

    Anyway, I'll add my "I have this problem too" to the reference.

    -Rocky714

  4. #14
    Join Date
    Mar 2011
    Beans
    1,994

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    $ ubuntu-drivers install foo:bar
    All the available drivers are already installed.

    Names are critical, try sudo ubuntu-drivers install nvidia-driver-535

    Get the available drivers from ubuntu-drivers list

  5. #15
    Join Date
    Jan 2024
    Beans
    14

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    (Sorry for the delay, I've been on travel.) I first did a

    "sudo ubuntu-drivers list"

    the result of which was

    "nvidia-driver-535-server, (kernel modules provided by linux-modules-nvidia-535-server-generic-hwe-22.04)
    nvidia-driver-450-server, (kernel modules provided by nvidia-dkms-450-server)
    nvidia-driver-470, (kernel modules provided by linux-modules-nvidia-470-generic-hwe-22.04)
    nvidia-driver-525, (kernel modules provided by linux-modules-nvidia-525-generic-hwe-22.04)
    nvidia-driver-390, (kernel modules provided by nvidia-dkms-390)
    nvidia-driver-418-server, (kernel modules provided by nvidia-dkms-418-server)
    nvidia-driver-545, (kernel modules provided by linux-modules-nvidia-545-generic-hwe-22.04)
    nvidia-driver-525-server, (kernel modules provided by linux-modules-nvidia-525-server-generic-hwe-22.04)
    nvidia-driver-470-server, (kernel modules provided by linux-modules-nvidia-470-server-generic-hwe-22.04)
    nvidia-driver-535, (kernel modules provided by linux-modules-nvidia-535-generic-hwe-22.04)"

    It appears then that I have all the drivers I needed available to me. I executed the recommended command:

    "sudo ubuntu-drivers install nvidia-driver-535"

    and the response was

    "All the available drivers are already installed."

    Yet, in the "About" box in the settings still shows

    "llvmpipe (LLVM 15.0.7, 256 bits)"

    for the graphics driver. Am I interpreting this correctly? I'm not sure why I can't get Nvidia's 535 driver installed.

    -Rocky714

  6. #16
    Join Date
    Mar 2011
    Beans
    1,994

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    There was a recent fix on getting the gcc-12 compiler for the compilation of the Nvidia module (assuming you are running a 6.5 kernel). If you are running 6.5, (cat /proc/version to see which gcc was used, gcc-12). Check the existing nvidia module for your kernel (mine is 6.5.0-17, yours may be 14 or 15) strings /usr/lib/modules/6.5.0-17-generic/updates/dkms/nvidia.ko |grep gc and see what gcc was used (should match gcc-12). If not, purge the nvidia packages and (update, upgrade) reinstall nvidia packages, that should be all that's necessary -- the gcc-12 should be automatically downloaded and used.

  7. #17
    Join Date
    Jan 2024
    Beans
    14

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    The kernel version is the same as yours (6.5.0-17) but gcc was only at 11.3. So, I uninstalled and fully purged (including 'autoremove' of the leftover libs) the Nvidia drivers. I updated gcc to 12.3.0 and made it default (gcc --version yields 'gcc (Ubuntu 12.3.0-1ubuntu1~22.04) 12.3.0'. I then issued the following command

    sudo apt install nvidia-driver-535 nvidia-dkms-535

    to install the 535 Nvidia drivers. I originally got the impression that it installed only binaries and didn't use gcc but after a second attempt, I saw building for 6.5.0-17-generic and building for x86_64. In any case, it seemed to proceed normally but the result was that it didn't result in the Nvidia drivers being installed. However, I did notice something similar to when I tried to install CUDA directly. In the act of removing, updating and upgrading to clean up Ubuntu for another attempt to install Nvidia's 535 drivers, when trying to sudo apt upgrade, the following packages were listed as 'kept back':

    coreutils gdm3 gir1.2-gdm-1.0 gjs iptables libgdm1 libgjs0g libip4tc2 libip6tc2 libxtables12

    These look like the same packages that caused problems when I tried to install CUDA directly but please note, I had not yet tried to install CUDA yet here (I was trying to install Nvidia 535 drivers to avoid CUDA 12.1's problems with the 530 drivers). This suggests I've already induced the problems I've been trying to avoid but how? It's almost like I have to go back to a fresh install again. This is very frustrating.

    Thanks again for your continuing help.

    -Rocky714

  8. #18
    Join Date
    Mar 2011
    Beans
    1,994

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    A recent fix seems to have let the nvidia module build for kernel 6.5 succeed without having to have the /bin/gcc link changed from the default of gcc-11 (as long as gcc-12 is present). Those held back packages do not involve nvidia (this time), so should not be your problem. CUDA installs that get a new/old video driver will cause problems when acutual Ubuntu updates for kernels or video drivers occur, so just get your video set up before CUDA, and reject any offers of video drivers (from the Nvidia .run script). A purge of all nvidia packages, then apt update/upgrade just to ensure current packages, then use the Software & Updates/Additional Drivers tab to select your Nvidia driver should work. I just did this for a fresh Ubuntu 22.04.1 Desktop ISO -- The 5.15 kernel before any upgrades after a build-essential install used the gcc-11 for the nvidia install, and after the update/upgrade, with a 6.5 kernel present, the nvidia build used the gcc-12 (which downloaded automatically).

  9. #19
    Join Date
    Jan 2024
    Beans
    14

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    To make a long story short, it took two attempts that were nearly identical but not perfectly so. I can't be positive whether it was the big process difference that made it work or the little one. Here are the steps that were in common:

    sudo apt remove --purge nvidia-*
    sudo apt autoremove --purge
    sudo apt clean
    sudo apt upgrade
    [There were a number of packages to upgrade in the first pass]

    After rebooting, I checked to make sure all was correct. Doing an "lsmod | grep nouveau" yielded:

    nouveau 2842624 6
    mxm_wmi 12288 1 nouveau
    drm_ttm_helper 12288 1 nouveau
    ttm 110592 2 drm_ttm_helper,nouveau
    drm_display_helper 241664 1 nouveau
    drm_kms_helper 270336 4 drm_display_helper,nouveau
    i2c_algo_bit 16384 1 nouveau
    drm 761856 9 drm_kms_helper,drm_display_helper,drm_ttm_helper,t tm,nouveau
    video 73728 1 nouveau
    wmi 40960 6 hp_wmi,video,intel_wmi_thunderbolt,wmi_bmof,mxm_wm i,nouveau


    The first attempt neglected an update (sudo apt update) after the "clean" and before the "upgrade" so it's possible that something got updated in the second attempt that was missed in the first attempt but I don't think that was it The first attempt tried to do a command line install of the Nvidia drivers with

    sudo apt install nvidia-driver-535

    which included a UEFI password setting process. The second attempt used the Software & Updates/Additional Drivers recommendation which did not do anything w/respect to UEFI. In any case, the second attempt succeeded and the 535 drivers are now installed and active. Insight as to why is welcomed but all the help is appreciated.

    I still have to install CUDA 12.1 so I'd like to keep this thread open for a bit but I can't get to it right now. I'll report on progress in a day or two.

    Thanks all!

    -Rocky714

  10. #20
    Join Date
    Mar 2011
    Beans
    1,994

    Re: CUDA 12.1.1 Nvidia 530 Ubu 22.04 LTS Package dependency problem on install

    Good to see you got the video set up. The 6.5 Nvidia/gcc-12 problem was probably just a forgotten dependency on the old dkms package 22.04 is using. The newer dkms packages seem to have all the necessary dependencies, even for gcc-13 for the 6.8 kernel.

    I generally keep multiple CUDA installs around, using Nvidia's .run script to install, reject any video driver offer, and use options to put all the lib and bin files into the cuda install lib and bin directories instead of the system ones. See https://askubuntu.com/questions/1077...077063#1077063 and
    https://askubuntu.com/questions/1219...244010#1244010

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •